For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All Groups
      • POSTCreate Group
      • GETGet Group
      • POSTUpdate Group
      • DELDelete Group
      • POSTGenerate JWT Token
      • POSTAdd Entities
      • POSTRemove Entities
        • GETSearch Group Users
        • POSTCreate Group User
        • GETGet Group User
        • POSTUpdate Group User
        • DELDelete Group User
        • POSTGenerate JWT Token
        • POSTSync Group Users
Logo
Sign inBook a demo
API ReferenceEntity GroupUser

Search Group Users

GET
https://api.mercoa.com/entityGroup/:entityGroupId/users
GET
/entityGroup/:entityGroupId/users
$curl -G https://api.mercoa.com/entityGroup/entg_8545a84e-a45f-41bf-bdf1-33b42a55812c/users \
> -H "Authorization: Bearer <token>" \
> -d name=John
1{
2 "count": 1,
3 "hasMore": false,
4 "data": [
5 {
6 "foreignId": "MY-DB-ID-12345",
7 "entities": [
8 {
9 "entityId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
10 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
11 "roles": [
12 "admin",
13 "approver"
14 ]
15 },
16 {
17 "entityId": "ent_9e02a20e-7749-47de-8d8a-f8ff2859fa90",
18 "id": "user_3a3aafc8-ea86-408a-a6c1-545497badbbb",
19 "roles": [
20 "viewer"
21 ]
22 }
23 ],
24 "createdAt": "2024-01-01T00:00:00Z",
25 "updatedAt": "2024-01-01T00:00:00Z",
26 "email": "john.doe@acme.com",
27 "name": "John Doe"
28 }
29 ]
30}
Search entity group users
Was this page helpful?
Previous

Create Group User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityGroupIdstringRequired
Entity Group ID or Entity Group ForeignID

Query parameters

foreignIdstringOptional
ID used to identify user in your system
rolestringOptional
Filter users by role. If multiple roles are provided, users with any of the roles will be returned.
namestringOptional
Filter users by name. Partial matches are supported.
emailstringOptional
Filter users by email. Partial matches are supported.
limitintegerOptional
Number of entities to return. Limit can range between 1 and 100, and the default is 10.
startingAfterstringOptional
The ID of the user to start after. If not provided, the first page of entities will be returned.

Response

This endpoint returns an object.
countinteger
Total number of users for the given filters. This value is not limited by the limit parameter. It is provided so that you can determine how many pages of results are available.
hasMoreboolean
True if there are more users available for the given filters.
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented